org.eclipse.emf.cdo.transfer

## Class CDOTransferElement

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.CDOTransferElement

-     public abstract class CDOTransferElement
      extends Object

  An abstraction of the elements (such as files or folders) of a `transfer system`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOTransferElement[]` | `NO_CHILDREN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CDOTransferElement(CDOTransferSystem system)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract CDOTransferElement[]` | `doGetChildren()`
    `protected abstract InputStream` | `doOpenInputStream()`
    `boolean` | `equals(Object obj)`
    `CDOTransferElement` | `getChild(IPath path)`
    `CDOTransferElement` | `getChild(String path)`
    `CDOTransferElement[]` | `getChildren()`
    `String` | `getName()`
    `abstract Object` | `getNativeObject()`
    `CDOTransferElement` | `getParent()`
    `abstract IPath` | `getPath()`
    `CDOTransferSystem` | `getSystem()`
    `URI` | `getURI()`
    `int` | `hashCode()`
    `abstract boolean` | `isDirectory()`
    `boolean` | `isRoot()`
    `InputStream` | `openInputStream()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_CHILDREN

          public static final CDOTransferElement[] NO_CHILDREN

  - ### Constructor Detail

    - #### CDOTransferElement

          protected CDOTransferElement(CDOTransferSystem system)

  - ### Method Detail

    - #### getSystem

          public final CDOTransferSystem getSystem()

    - #### getNativeObject

          public abstract Object getNativeObject()

    - #### isDirectory

          public abstract boolean isDirectory()

    - #### getPath

          public abstract IPath getPath()

    - #### getName

          public final String getName()

    - #### getURI

          public final URI getURI()

    - #### isRoot

          public final boolean isRoot()

    - #### getParent

          public final CDOTransferElement getParent()

    - #### getChildren

          public final CDOTransferElement[] getChildren()

    - #### getChild

          public final CDOTransferElement getChild(IPath path)

    - #### getChild

          public final CDOTransferElement getChild(String path)

    - #### openInputStream

          public final InputStream openInputStream()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### doGetChildren

          protected abstract CDOTransferElement[] doGetChildren()

    - #### doOpenInputStream

          protected abstract InputStream doOpenInputStream()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html